Skip to main content
PUT
ClickStack: Update Alert
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

ClickStack: Updates an existing alert

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the ClickStack service.

clickStackAlertId
string
required

ClickStack Alert ID

Body

application/json
dashboardId
string | null

Dashboard ID for tile-based alerts.

Example:

"65f5e4a3b9e77c001a567890"

tileId
string | null

Tile ID for tile-based alerts. Must be a line, stacked bar, or number type tile.

Example:

"65f5e4a3b9e77c001a901234"

savedSearchId
string | null

Saved search ID for saved_search alerts.

Example:

"65f5e4a3b9e77c001a345678"

groupBy
string | null

Group-by key for saved search alerts.

Example:

"ServiceName"

threshold
number

Threshold value for triggering the alert. For between and not_between threshold types, this is the lower bound.

Example:

100

thresholdMax
number | null

Upper bound for between and not_between threshold types. Required when thresholdType is between or not_between, must be >= threshold.

Example:

500

interval
enum<string>

Evaluation interval for the alert.

Available options:
1m,
5m,
15m,
30m,
1h,
6h,
12h,
1d
Example:

"1h"

scheduleOffsetMinutes
integer | null

Offset from the interval boundary in minutes. For example, 2 with a 5m interval evaluates windows at :02, :07, :12, etc. (UTC).

Example:

2

scheduleStartAt
string<date-time> | null

Absolute UTC start time anchor. Alert windows start from this timestamp and repeat every interval.

Example:

"2026-02-08T10:00:00.000Z"

source
enum<string>

Alert source type (tile-based or saved search).

Available options:
saved_search,
tile
Example:

"tile"

thresholdType
enum<string>

Threshold comparison direction.

Available options:
above,
below,
above_exclusive,
below_or_equal,
equal,
not_equal,
between,
not_between
Example:

"above"

channel
object
name
string | null

Human-friendly alert name.

Example:

"Test Alert"

message
string | null

Alert message template.

Example:

"Test Alert Message"

note
string | null

Freeform note for the alert. Supports markdown formatting.

Example:

"Threshold raised from 50 to 100 on 2026-01-15. See [runbook](https://wiki.example.com/runbook)."

numConsecutiveWindows
integer | null

Fire the alert only after its condition has been met for this many consecutive evaluation windows. While the condition is met but fewer than this many consecutive windows have violated, the alert is in the PENDING state.

Example:

3

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 9, 2026